Skip to main content
GET
/
api
/
v1
/
price-lists
Obtener lista de listas de precios
curl --request GET \
  --url https://api.lapyme.com.ar/api/v1/price-lists \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "isAutomatic": true,
      "automaticPricingMode": "base_price_adjustment",
      "adjustmentPercentage": 123,
      "taxInclusive": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 2,
    "limit": 2,
    "total": 1,
    "totalPages": 2
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer

Query Parameters

page
integer
default:1

Número de página

Required range: x >= 1
Example:

1

limit
integer
default:50

Cantidad de elementos por página

Required range: 1 <= x <= 100
Example:

50

Término de búsqueda por nombre

Example:

"Mayorista"

Response

200 - application/json

Lista de listas de precios obtenida exitosamente

success
boolean
required
data
object[]
required
pagination
object
required